Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovySystemRegistry

- org.apache.groovy.groovysh.jline.GroovySystemRegistry

-     class GroovySystemRegistry
      extends SystemRegistryImpl

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SystemRegistryImpl` | `configPath, parser, workDir`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySystemRegistry(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `execute(String line)`
    `` | `boolean` | `isCommandOrScript(String command)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SystemRegistryImpl` | `addCompleter, cleanUp, close, commandAliases, commandDescription, commandDescription, commandInfo, commandNames, compileCompleters, completer, consoleEngine, consoleOption, consoleOption, execute, getPipeNames, groupCommandsInHelp, hasCommand, initialize, invoke, isCommandAlias, isCommandOrScript, isCommandOrScript, register, rename, renameLocal, setCommandRegistries, setConsoleOption, setGroupCommandsInHelp, setScriptDescription, terminal, trace, trace`

- - ### Constructor Detail

    - #### GroovySystemRegistry(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)

  - ### Method Detail

    - #### @Override
      Object execute(String line)

    - #### @Override
      boolean isCommandOrScript(String command)